[1/1] libwebsockets: add optional libevent dependency

Message ID 20180610135434.27878-1-fontaine.fabrice@gmail.com
State Accepted
Headers show
Series
  • [1/1] libwebsockets: add optional libevent dependency
Related show

Commit Message

Fabrice Fontaine June 10, 2018, 1:54 p.m.
libevent is supported since 2.3.0

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 package/libwebsockets/libwebsockets.mk | 7 +++++++
 1 file changed, 7 insertions(+)

Comments

Thomas Petazzoni July 1, 2018, 12:41 p.m. | #1
Hello,

On Sun, 10 Jun 2018 15:54:34 +0200, Fabrice Fontaine wrote:
> libevent is supported since 2.3.0
> 
> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
> ---
>  package/libwebsockets/libwebsockets.mk | 7 +++++++
>  1 file changed, 7 insertions(+)

Applied to master, thanks.

Thomas
Peter Korsgaard July 19, 2018, 10:12 a.m. | #2
>>>>> "Fabrice" == Fabrice Fontaine <fontaine.fabrice@gmail.com> writes:

 > libevent is supported since 2.3.0
 > Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

Committed to 2018.05.x, thanks.

Patch

diff --git a/package/libwebsockets/libwebsockets.mk b/package/libwebsockets/libwebsockets.mk
index 28fd183393..81e398bedd 100644
--- a/package/libwebsockets/libwebsockets.mk
+++ b/package/libwebsockets/libwebsockets.mk
@@ -35,6 +35,13 @@  else
 LIBWEBSOCKETS_CONF_OPTS += -DLWS_WITH_LIBEV=OFF
 endif
 
+ifeq ($(BR2_PACKAGE_LIBEVENT),y)
+LIBWEBSOCKETS_DEPENDENCIES += libevent
+LIBWEBSOCKETS_CONF_OPTS += -DLWS_WITH_LIBEVENT=ON
+else
+LIBWEBSOCKETS_CONF_OPTS += -DLWS_WITH_LIBEVENT=OFF
+endif
+
 ifeq ($(BR2_PACKAGE_LIBUV),y)
 LIBWEBSOCKETS_DEPENDENCIES += libuv
 LIBWEBSOCKETS_CONF_OPTS += -DLWS_WITH_LIBUV=ON